> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue-saveclasses-referencedfilesave.md).

# flatredball-glue-saveclasses-referencedfilesave

### Introduction

The ReferencedFileSave class is a common class in Glue - every Screen and Entity contains a list of ReferencedFileSaves. Every file added to Glue will create a ReferencedFileSave.

### Name

The Name property on the ReferencedFileSave is the name of the file relative to the project's content folder. Since different project types treat the content folder differently, the best way to identify the absolute file name is to use the ProjectManager:

```
bool forceAsContent = true;
string absoluteFileName = ProjectManager.MakeAbsolute(namedObjectInstance.Name, forceAsContent);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue-saveclasses-referencedfilesave.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
